
QGIS Application - Bug report #17634

Crash when saving changes to GeoPackage table

2017-12-05 05:36 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25531

Description

Below is the backtrace. Note that this is not the first time i save data in this table in the current QGIS session.

I copy paste features in the layer, do some edit and when i hit save, Boom

Report Details

Crash ID: 311c94bf311b4bf9eb27d6731a34cb4324e188a5

Stack Trace

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QMetaObject::activate :

QgsFeatureRequest::OrderByClause::OrderByClause :

QgsFeatureRequest::OrderByClause::OrderByClause :

QgsFeatureRequest::OrderByClause::OrderByClause :

QgsFeatureRequest::OrderByClause::OrderByClause :

QgsFeatureRequest::OrderByClause::OrderByClause :

QMetaObject::activate :

QgsFeatureRequest::OrderByClause::OrderByClause :

QgsFeatureRequest::OrderByClause::OrderByClause :

QgsFeatureRequest::OrderByClause::OrderByClause :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QgisApp::actionSplitFeatures :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsFeatureRequest::OrderByClause::OrderByClause :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsFeatureRequest::OrderByClause::OrderByClause :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgisApp::actionSplitFeatures :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:57dc9deb06

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2017-12-06 04:24 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-12-07 09:00 AM - Alessandro Pasotti

Can you please add a step-by-step procedure to reproduce?

A minimal project and data would also help.

From the stack trace it looks like you were splitting features, is that correct?

#3 - 2017-12-07 10:27 AM - Harrissou Santanna

The same layer got some edits yesterday and all went fine. So I'm not sure it would help to provide it.

About the step by step, hard to remember now:

- I copy some features from a layer to the gpkg table

- I indeed split one feature because i wanted to merge one of its part with the other features I copy

- Then I can't tell if i did something else (like merging the features) before I tried to save --> crash

Sorry if this does not help you. Maybe i'm "abusing" the crash report system...?

#4 - 2017-12-11 12:49 PM - Alessandro Pasotti

I see no abuses :)

But I think that more details and a project greatly enhance the chances to reproduce an issue.

#5 - 2018-01-03 04:50 PM - Alessandro Pasotti

Can you still reproduce this? If not: better close it.
#6 - 2018-01-03 06:35 PM - Harrissou Santanna

- Resolution set to not reproducable

- Status changed from Open to Closed

I don't work with this db or geopackage day to day so have less chance to reproduce it. But as i said in my latest message, the db that crashed worked

later so i'd close this report.
